set term postscript landscape color "Helvetica" 18
set title 'Host system calibration'
set xlabel 'Elapsed time (seconds)'
set ylabel 'Measured CPS'
set format y "%12.f"
set xtics 0,86400,259200
set xrange [0:259200]
plot 'nc93.calib' using 2:4 title '' with lines lt -1 lw 1
