#!/usr/bin/perl

## Okay, what exactly am I doing here?  I want to start the emulator,
## run a specific workload (to be written later), then analyze the
## results and append them to a file for later graphing.

require "subroutines.pm";

my $use_qlogic = 1;

########################################################################

my $timestamp = `date +%s`;
chomp($timestamp);

if ($use_qlogic == 1) {
    qlogic_start($timestamp);
} else {
    adaptec_start($timestamp);
}

#ssh_cmd_checkresult("$host_name", "(cd $main_dir/microgenerate ; ./microgenerate -g 2)", 0);  ## -g 2 means it's the third disk on the system -- should be constant

ssh_cmd_checkresult("$host_name", "(cd $main_dir/simpletrace ; ./dxreplay -s -m simple /dev/sg2)", 0);

if ($use_qlogic == 1) {
    qlogic_stop($timestamp);
} else {
    adaptec_stop($timestamp);
}    

merge($timestamp);
# process_data($timestamp);
verify_cps($timestamp);

#$cmd = "emacs $results_dir/$timestamp.per.stats &";
#system $cmd;
#$cmd = "gv $results_dir/$timestamp.per.err.eps &";
#system $cmd;
#$cmd = "gv $results_dir/$timestamp.per.pct.eps &";
#system $cmd;
#$cmd = "emacs $results_dir/$timestamp.agg.stats &";
#system $cmd;
#$cmd = "gv $results_dir/$timestamp.agg.eps &";
#system $cmd;

