#!/usr/bin/perl

use English;
use FileHandle;
require "subroutines.pm";

my $timestamp = 1092075371;
my $prefix = "$results_dir/$timestamp/$timestamp";

my @hos = merge_load_hos($prefix);

open(MERGE, ">$prefix.merge") || die "Cannot write $prefix.merge\n";

for (my $i = 0; @hos != 0; $i++) {
    my $hos_elem = shift(@hos);
    my $hos_ms = ($hos_elem->{completion} - $hos_elem->{arrival}) / $host_cycles * 1000.0;

    printf MERGE
	"%6d %8d %4d %2d ",
	$i + 1,
	$hos_elem->{offset},
	$hos_elem->{length},
	$hos_elem->{opcode};
    print MERGE $hos_elem->{arrival} . " " . $hos_elem->{completion};
    printf MERGE "%7.3f\n",
        $hos_ms;
}

close(MERGE);
